Endpoint
Path parameters
Response (200)
This page is generated from the live API contract at
https://api.thestatsapi.com/llms.txt.Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Return a team’s current squad with extended player profile fields.
GET https://api.thestatsapi.com/api/football/teams/{team_id}/players
| Name | Type | Required | Description |
|---|---|---|---|
team_id | string | Yes | Example: tm_0406 |
{
"data": [
{
"id": "pl_29627593",
"name": "Alexander Isak",
"first_name": "Alexander",
"last_name": "Isak",
"position": "M",
"date_of_birth": "1994-09-08T00:00:00.000Z",
"age": 29,
"nationality": "Sweden",
"height_cm": 179,
"current_team": {
"id": "tm_0406",
"name": "Liverpool",
"jersey_number": 18
},
"slug": "bruno-fernandes",
"short_name": "A. Isak",
"preferred_foot": "Right",
"gender": null,
"country_slug": null,
"market_value": null,
"contract_until": null,
"national_team": {
"id": "tm_86978",
"name": "Sweden"
}
}
]
}
https://api.thestatsapi.com/llms.txt.